POST /orderStatus/{orderId}

This endpoint allows a POS to update the status of an order at each stage in its preparation. It also allows for the modification of the pickupTime

Path parameters

  • orderId string Required
application/json

Body

  • orderId string Required
  • status string Required
  • reason string Required
  • timeStamp string
  • receiptId string Required

Responses

  • 200 application/json

    OK

  • 400

    error

POST /orderStatus/{orderId}
curl \
 --request POST 'https://api.staging.deliverect.com/orderStatus/{orderId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"reason":"new order","status":10,"orderId":"5d****e3448c290010****53","receiptId":"1234","timeStamp":"2023-02-09T13:00:38.006000Z"}'
Request examples
{
  "reason": "new order",
  "status": 10,
  "orderId": "5d****e3448c290010****53",
  "receiptId": "1234",
  "timeStamp": "2023-02-09T13:00:38.006000Z"
}
{
  "status": 20,
  "orderId": "63e3bcdab8c45ee373bbf667",
  "receiptId": "T3651A85-1",
  "pickupTime": "2023-02-09T13:00:38.006000Z"
}
{
  "reason": "cancellation",
  "status": 110,
  "orderId": "5d****e3448c290010****53",
  "receiptId": "1234",
  "timeStamp": "2023-07-14 07:44:15.000Z"
}
{
  "reason": "Invalid PLU",
  "status": 120,
  "orderId": "5d****e3448c290010****53",
  "receiptId": "1234",
  "timeStamp": "2023-07-14 07:44:15.000Z"
}
Response examples (200)
{
  "result": "OK"
}
{
  "result": "OK",
  "pickupTime": "2023-02-09T13:00:38.006000Z",
  "deliveryTime": "2023-02-09T13:15:38.006000Z"
}